--- a/sge_tt_text.cpp
+++ b/sge_tt_text.cpp
@@ -1454,3 +1454,16 @@
 }
 
 #endif /* _SGE_NOTTF */
+
+/**********************************************************************************/
+/**                    Legacy functions for backwards compatibility              **/
+/**********************************************************************************/
+
+void insert_char(Uint16 *string, Uint16 ch, int pos, int max) { ; }
+void delete_char(Uint16 *string, int pos, int max) { ; }
+
+SDL_Rect fast_update(SDL_Surface *Surface,SDL_Surface *buffer,SDL_Rect ret, int type,sge_TTFont *font,Uint16 *string, Sint16 x,Sint16 y, Uint32 fcol, Uint32 bcol,int Alpha) { return ret; }
+SDL_Rect nice_update(SDL_Surface *Surface,SDL_Surface *buffer,SDL_Rect ret, int type,sge_TTFont *font,Uint16 *string, Sint16 x,Sint16 y, Uint32 fcol, Uint32 bcol, int Alpha) { return ret; }
+
+int keyrepeat(SDL_Event *event, int wait) { return 0; }
+
--- a/sge_tt_text.h
+++ b/sge_tt_text.h
@@ -93,9 +93,16 @@
 
 DECLSPEC SDL_Surface *sge_TTF_Render(sge_TTFont *font,const Uint16 *text, SDL_Color fg, SDL_Color bg, int alpha_level);
 DECLSPEC SDL_Surface *sge_TTF_RenderUNICODE(sge_TTFont *font,const Uint16 *text, SDL_Color fg, SDL_Color bg);
+/* Legacy functions */
+DECLSPEC SDL_Rect fast_update(SDL_Surface *Surface,SDL_Surface *buffer,SDL_Rect ret, int type,sge_TTFont *font,Uint16 *string, Sint16 x,Sint16 y, Uint32 fcol, Uint32 bcol,int Alpha);
+DECLSPEC SDL_Rect nice_update(SDL_Surface *Surface,SDL_Surface *buffer,SDL_Rect ret, int type,sge_TTFont *font,Uint16 *string, Sint16 x,Sint16 y, Uint32 fcol, Uint32 bcol, int Alpha);
 #endif /* _SGE_NOTTF */
 
 DECLSPEC Uint16 *sge_Latin1_Uni(const char *text);
+/* Legacy functions */
+DECLSPEC int keyrepeat(SDL_Event *event, int wait);
+DECLSPEC void insert_char(Uint16 *string, Uint16 ch, int pos, int max);
+DECLSPEC void delete_char(Uint16 *string, int pos, int max);
 #ifdef _SGE_C
 }
 #endif
